## mx4j.server
Class MBeanMetaData.Factory

    java.lang.Object
      mx4j.server.MBeanMetaData.Factory

Enclosing class:
  MBeanMetaData

public static class MBeanMetaData.Factory
extends java.lang.Object

Factory class that creates instance of the `MBeanMetaData` interface. The default implementation is `MX4JMBeanMetaData`, but it can be overridden by setting the system property defined by `MX4JSystemKeys.MX4J_MBEAN_METADATA`.

Constructor Summary
`MBeanMetaData.Factory()`

Method Summary
`static MBeanMetaData` `create()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MBeanMetaData.Factory

    public MBeanMetaData.Factory()

Method Detail

### create

    public static MBeanMetaData create()

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.